Name:		geronimo-parent-poms
Version:	1.6
Release:	10%{?dist}
Summary:	Parent POM files for geronimo-specs

Group:		Development/Tools
License:	ASL 2.0
URL:		http://geronimo.apache.org/

# Following the parent chain all the way up ...
Source0:	http://svn.apache.org/repos/asf/geronimo/specs/tags/specs-parent-%{version}/pom.xml

BuildRequires:	jpackage-utils

BuildArch:	noarch

# Dependencies and plugins from the POM files
Requires:	maven-compiler-plugin
Requires:	maven-idea-plugin
Requires:	maven-jar-plugin
Requires:	maven-plugin-bundle

Provides:       geronimo-specs = %{version}-%{release}

%description
The Project Object Model files for the geronimo-specs modules.

%prep
%setup -c -T
cp %SOURCE0 .
%pom_remove_parent

%build
# Nothing to do ...

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 pom.xml \
	$RPM_BUILD_ROOT%{_mavenpomdir}/JPP-geronimo-specs.pom
%add_maven_depmap JPP-geronimo-specs.pom -a 'org.apache.geronimo.specs:specs'

%files
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-geronimo-specs.pom


%changelog
* Mon Aug  6 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.6-10
- Remove pom.xml from SCM

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Tomas Radej <tradej@redhat.com> - 1.6-8
- Removed maven-pmd-plugin R

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep  7 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-6
- Remove genesis poms from package (split into separate package)
- Use new macro for depmaps

* Thu May  5 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-5
- Add compatibility depmap for geronimo.specs:specs-parent
- Fixes according to new guidelines

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  3 2010 Mary Ellen Foster <mefoster at gmail.com> 1.6-3
- Fix tabs and spaces in srpm
- Remove config flag from mavendepmapfragdir
- Add jpackage-utils to the BuildRequires

* Tue Jan 19 2010 Mary Ellen Foster <mefoster at gmail.com> 1.6-2
- Don't include the apache root pom; it's already in maven2-common-poms
- Double check the dependencies to include only what's in the POMs
- Add initial Provides for the genesis stuff
- Fix changelog

* Mon Jan 18 2010 Mary Ellen Foster <mefoster at gmail.com> 1.6-1
- Initial package
